Skip to main content
Version: Version 1.0

Get archived participants

This endpoint enables you to list the archived participants.

How to use​

You can use the following cURL to obtain a response from this endpoint:

curl --location --request GET https://api.superviz.com/participants/archived \
--header "Authorization: Bearer ${TOKEN}" \
--header "client_id: ${YOUR CLIENT_ID}" \
--header "secret: ${YOUR SECRET}"

HTTP Request​

GET https://api.superviz.com/participants/archived

Headers​

When using this endpoint, you need to provide the Client ID and Secret Key. The following headers are required:

NameDescription
client_idRequired. You need to use the Client ID to authenticate in this repository. You can retrieve your Client ID under the Dashboard > Developer > Keys.
secretRequired. You need to use the Secret Key to authenticate in this repository. You can create a new API Secret under our Dashboard > Developer > Keys.

Response​

Status code 200 will indicate that list of archived participants. The response will be in JSON format, following the pagination guide for SuperViz REST API, and include the following fields:

NameTypeDescription
participant[]arrayThe list of participants.
participant[].idstringThe ID of the participant.
participant[].namestringThe name of the participant.
participant[].emailstringThe email of the participant.
participant[].avatarstringThe avatar of the participant.
participant[].createdAtstringThe date and time of the participant's creation.

Example:

[
{
id: "example-id",
name: "John Doe",
email: "john@doe.com",
avatar: "https://example.com/avatar.png",
createdAt: "2021-05-30T21:23:00.000Z",
},
];